GET List company users

Returns active company users, pending invitations, role information, track access summaries, and seat usage.

Request URL

GET /api/v2/users

Warning

Make sure to add your API key in Header of the request

Response

{
    "users": [
        {
            "userid": 101,
            "name": "Recruiter",
            "email": "[email protected]",
            "role": "4",
            "status": "1"
        }
    ],
    "invites": [
        {
            "userid": 202,
            "name": null,
            "email": "[email protected]",
            "role": "2",
            "status": "sent"
        }
    ],
    "seats": {
        "used": 3,
        "limit": 10,
        "remaining": 7
    }
}

POST Invite users

Invites one or more users. The API key must belong to an owner or admin user. Only valid, non-duplicate invitations consume seats. The request returns 409 when the company does not have enough remaining seats.

POST /api/v2/users/invite
{
    "users": [
        {
            "email": "[email protected]",
            "role": "2"
        }
    ]
}

The response includes the updated seats usage.

DELETE Cancel an invitation

Deletes a pending invitation belonging to the company. The userid returned for an invite by GET /api/v2/users is its invite ID. The consumed seat is restored after the invitation is cancelled.

DELETE /api/v2/users/invites/{invite_id}

DELETE Remove a user

Offboards a company user. The last super admin cannot be removed. The consumed seat is restored after the user is removed.

DELETE /api/v2/users/{user_id}